Bug 103854 - Possible typos in qt spec file..
Possible typos in qt spec file..
Product: Red Hat Raw Hide
Classification: Retired
Component: qt (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2003-09-05 14:42 EDT by Sammy
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-09-13 06:44:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Sammy 2003-09-05 14:42:14 EDT
The qt.spec file contains (in the post and postun sections) grep commands of the 
form "grep -v '^%{qtdir}' /etc/ld.so.conf". It seems like the "-v" option and the 
caret "^" negate each other. Perhaps the caret should be removed. 
By the way, I compiled qt-3.2.1 and all of the KDE stuff in rawhide with qt-3.2 and 
it is working very well.
Comment 1 Ngo Than 2003-09-13 06:44:51 EDT
i don't see any problem here. The syntax is correct.

there are some knowned problems in KDE 3.1.3/qt 3.2.x. The next KDE 3.1.4 will
be released soon, it will work fine with qt 3.2.x.
Comment 2 Sammy 2003-09-15 11:22:02 EDT
Well, "grep -v" inverts the sense and selects non-matching lines. So does the "^" in the  
text screen. If you do "grep -v '^qt-3.1/lib$' /etc/ld.so.conf" you'll see that the directory 
/usr/lib/qt-3.1 is included in the output, which should not be. Anyway, this will have to 
be changed when we go to QTDIR to be qt-3.2. When you set this and run you get both 
qt-3.1 and qt-3.2 in ld.so.conf, which should have been just qt-3.2. 

Note You need to log in before you can comment on or make changes to this bug.